%define upstream_name Cookie-Baker
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cookie string generator / parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cookie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Time)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Cookie::Baker provides simple cookie string generator and parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-3.mga9
+ Revision: 1811697
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.110.0-2.mga8
+ Revision: 1526797
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 tv <tv> 0.110.0-1.mga8
+ Revision: 1415915
- update to 0.11

* Fri Oct 26 2018 bcornec <bcornec> 0.100.0-2.mga7
+ Revision: 1325697
+ rebuild (emptylog)

* Thu Sep 27 2018 tv <tv> 0.100.0-1.mga7
+ Revision: 1308096
- update to 0.10

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-2.mga7
+ Revision: 1282527
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 0.90.0-1.mga7
+ Revision: 1206270
- update to 0.09

* Fri Jul 21 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1126153
- update to 0.08

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1024405
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 968216
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 851587
- update to 0.06

* Sun Jun 21 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 838390
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 751243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 684024
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 0.30.0-1.mga5
+ Revision: 597839
- update to 0.03

* Thu Feb 06 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 584593
- update to 0.02

* Tue Oct 22 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 542263
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 497161
- imported package perl-Cookie-Baker

